#
# spec file for package gdata-sharp
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gdata-sharp
Version:        1.4.0.2
Release:        26.29
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  mono-devel
BuildRequires:  mono-nunit
Provides:       google-gdata
Obsoletes:      google-gdata
BuildArch:      noarch
Source:         libgoogle-data-mono-%{version}.tar.gz
Patch0:         gdata-sharp-core-pc.patch
Patch1:         gdata-sharp-runtime-4.5.patch
Summary:        Google GData .NET Client Library
License:        Apache-2.0
Group:          Development/Libraries/Other

%description
The GData .NET Client Library provides a library and source code that make it easy to access data through Google Data APIs.

%prep
%setup -q -n libgoogle-data-mono-%{version}
%patch0
%patch1 -p1

%build
make PREFIX=%{_prefix}

%install
make DESTDIR=%{buildroot} PREFIX=%{_prefix} install
mkdir %{buildroot}%{_datadir}
mv %{buildroot}%{_prefix}/lib/pkgconfig %{buildroot}%{_datadir}/

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_prefix}/lib/mono/gac/Google.GData.*
%{_prefix}/lib/mono/GData-Sharp
%{_datadir}/pkgconfig/gdata-sharp*.pc

%changelog
* Tue May 19 2015 dimstar@opensuse.org
- Add gdata-sharp-runtime-4.5.patch: Specify -sdk:4.5 during build:
  despite gmcs specifying this to be the default, if not specified,
  gmcs fails to find nunit.framework (which is only available for
  SDK 4.5 at this moment).
* Wed May 16 2012 cfarrell@suse.com
- license update: Apache-2.0
  Use SPDX syntax to describe the license
* Tue Jun 30 2009 ajorgensen@novell.com
- Initial upload
